Apply
curl --request PATCH \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/bulk-edit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"targets": [
{
"slotId": "<string>",
"slotVersion": 123,
"primaryItemId": "<string>",
"primaryItemVersion": 4503599627370495
}
],
"fieldKey": "<string>",
"value": "<string>",
"coreChangeIntent": "save_in_project"
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/bulk-edit"
payload = {
"targets": [
{
"slotId": "<string>",
"slotVersion": 123,
"primaryItemId": "<string>",
"primaryItemVersion": 4503599627370495
}
],
"fieldKey": "<string>",
"value": "<string>",
"coreChangeIntent": "save_in_project"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
targets: [
{
slotId: '<string>',
slotVersion: 123,
primaryItemId: '<string>',
primaryItemVersion: 4503599627370495
}
],
fieldKey: '<string>',
value: '<string>',
coreChangeIntent: 'save_in_project'
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/bulk-edit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updatedCount": 123,
"slotIds": [
"<string>"
],
"projectItemIds": [
"<string>"
],
"affectedCatalogFamilyIds": [
"<string>"
],
"affectedParentPiIds": [
"<string>"
]
}Specification Bulk Edit
Apply
PATCH
/
v1
/
workspaces
/
{workspaceId}
/
projects
/
{projectId}
/
item-slots
/
bulk-edit
Apply
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I